<?php

namespace Drupal\violinist_projects\Event;

/**
 * An event for getting tokens.
 */
trait TokenEventTrait {

  /**
   * The parsed url.
   *
   * @var array
   */
  private $url;

  /**
   * Uid.
   *
   * @var int
   */
  private $uid;

  /**
   * The token to use.
   *
   * @var string
   */
  private $token;

  /**
   * TokenEvent constructor.
   */
  public function __construct($url, $uid, $token) {
    $this->url = $url;
    $this->uid = $uid;
    $this->token = $token;
  }

  /**
   * Get the token.
   *
   * @return string
   *   The current token.
   */
  public function getToken() {
    return $this->token;
  }

  /**
   * Set the token.
   *
   * @param string $token
   *   New token.
   */
  public function setToken($token) {
    $this->token = $token;
  }

  /**
   * Get url.
   *
   * @return array
   *   URL parsed.
   */
  public function getUrl() {
    return $this->url;
  }

  /**
   * Get uid.
   *
   * @return int
   *   Uid.
   */
  public function getUid() {
    return $this->uid;
  }

}
